## MacPorts-2.2.1.tar.bz2

=== tests/Makefile ===
include ../Mk/macports.autoconf.mk

TESTS?=checksums-1 svn-and-patchsites envvariables site-tags trace universal universal-2 xcodeversion dependencies-c dependencies-d dependencies-e case-insensitive-deactivate variants statefile-version1 statefile-version1-outdated statefile-version2 statefile-version2-outdated statefile-version2-invalid statefile-unknown-version

PWD=$(shell pwd)

.PHONY: all clean install test PortIndex

all::

/tmp/macports-tests/opt/local/etc/macports/sources.conf: sources.conf
	@echo setting up test installation
	rm -rf /tmp/macports-tests/
	mkdir -p /tmp/macports-tests/ports
	mkdir -p /tmp/macports-tests/opt/local/etc/macports/
	mkdir -p /tmp/macports-tests/opt/local/share/
	mkdir -p /tmp/macports-tests/opt/local/var/macports/receipts/
	mkdir -p /tmp/macports-tests/opt/local/var/macports/registry/
	mkdir -p /tmp/macports-tests/opt/local/var/macports/build/
	ln -s $(datadir)/macports /tmp/macports-tests/opt/local/share/
	ln -s $(PWD)/test /tmp/macports-tests/ports/
	cp sources.conf /tmp/macports-tests/opt/local/etc/macports/

/tmp/macports-tests/ports/PortIndex: /tmp/macports-tests/opt/local/etc/macports/sources.conf PortIndex
	cp PortIndex PortIndex.quick /tmp/macports-tests/ports/

PortIndex:
	$(bindir)/portindex

clean::
	rm -rf /tmp/macports-tests/
	rm -f PortIndex PortIndex.quick
	for testname in $(TESTS); do \
		rm -f test/$$testname/{output,output.sed,difference,work}; \
	done

$(bindir)/port:
	@echo "Please install MacPorts before running these tests"
	@exit 1

# Run all tests
# Use TESTS to choose which tests to run
# For example: make test TESTS="checkums-1 universal"
test:: clean /tmp/macports-tests/ports/PortIndex /tmp/macports-tests/opt/local/etc/macports/sources.conf
	@num=0; \
	success=0; \
	for testname in $(TESTS); do\
		subdir=test/$$testname; \
		echo ===\> test ${DIRPRFX}$$subdir; \
		if [ -e $$subdir/Makefile ]; then \
			( cd $$subdir && \
				$(MAKE) DIRPRFX=${DIRPRFX}$$subdir/ PORTSRC=$(PWD)/test-macports.conf test) && \
			success=$$(( success + 1 )); \
		else \
			( cd $$subdir && \
				PORTSRC=$(PWD)/test-macports.conf $(bindir)/port clean > /dev/null && \
				PORTSRC=$(PWD)/test-macports.conf $(bindir)/port test > output 2>&1 \
					|| ([ -e error_expected ] || (cat output; exit 1)) && \
			sed -e "s|${PWD}|PWD|g" < output > output.sed && \
			diff -u master output.sed 2>&1 | tee difference && \
			if [ -s difference ]; then \
				exit 1; \
			else \
				rm -f difference output.sed; \
			fi) && \
			success=$$(( success + 1 )); \
			if [ -n "`PORTSRC=$(PWD)/test-macports.conf $(bindir)/port -q echo installed`" ]; then \
			    PORTSRC=$(PWD)/test-macports.conf $(bindir)/port -f clean --all installed > /dev/null && \
			    PORTSRC=$(PWD)/test-macports.conf $(bindir)/port -f uninstall installed > /dev/null; \
			fi; \
		fi; \
		num=$$(( num + 1 )); \
	done; \
	echo ===\> $$success of $$num tests passed.
	@rm -rf /tmp/macports-tests/
	@rm -f PortIndex PortIndex.quick

# Run specific test
# Prepend the directory name with "test-" and use it as target
# For example: make test-checksums-1
test-%:
	$(MAKE) TESTS="$(@:test-%=%)" test

install::

distclean:: clean

=== src/darwintracelib1.0/Makefile ===
OBJS=		darwintrace.o
SHLIB_NAME=	darwintrace${SHLIB_SUFFIX}
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/darwintrace1.0

include ../../Mk/macports.autoconf.mk

CFLAGS+= -fPIC -Wno-deprecated-declarations
CFLAGS_PEDANTIC=

all:: ${SHLIB_NAME}

$(SHLIB_NAME):: ${OBJS}
	${SHLIB_LD} ${OBJS} -o ${SHLIB_NAME} ${SHLIB_LDFLAGS} ${LIBS}

clean::
	rm -f ${OBJS} ${SHLIB_NAME} so_locations

distclean:: clean

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 ${SHLIB_NAME} ${INSTALLDIR}

test::

=== src/package1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/package1.0

SRCS=	package.tcl portdmg.tcl portmdmg.tcl portmpkg.tcl portpkg.tcl \
	portrpm.tcl portsrpm.tcl portdpkg.tcl portunarchive.tcl \
	portarchivefetch.tcl

include ../../Mk/macports.autoconf.mk

all:: pkgIndex.tcl

pkgIndex.tcl: $(SRCS)
	$(SILENT) ../pkg_mkindex.sh .

clean::
	rm -f pkgIndex.tcl

distclean:: clean

test::

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

=== tests/test/statefile-version2-outdated/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port configure >/dev/null 2>&1
	@cp statefile work/.macports.statefile-version2-outdated.state
	@PORTSRC=$(PORTSRC) $(bindir)/port destroot >output 2>&1 || (cat output; exit 1)
	@diff -u master output || (echo "statefile version 2 was outdated but didn't cause a fresh build"; exit 1)
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null 2>&1
	@rm output

=== tests/test/universal-2/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port clean > /dev/null
	@sh -c "export PORTSRC=$(PORTSRC); $(bindir)/port info --variants" > output 2>&1 || (cat output; exit 1)
	@diff -u master output 2>&1 | tee difference
	@if [ -s difference ]; then \
		exit 1; \
	else \
		rm -f difference; \
	fi

=== tests/test/site-tags/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		site-tags
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for site:tags functionalities
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

master_sites	http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
				http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
distfiles		app-bm.tar.gz:app_aqua \
				doc.tar.gz:doc_aqua

checksums		app-bm.tar.gz \
					md5 418b9e615a34ae5aad918f5c5a694a44 \
					sha1 e8f8939b16665394686284681036e71fb2d3974d \
					rmd160 756bca16c69bb3b051c581d671e824ca1495a05b \
				doc.tar.gz \
					md5 692f7874fc617162d0fe110daf39a98a \
					sha1 51d62b8ab344eaf9c1e95d6563766b2453c27e99 \
					rmd160 3cbae7e39e8c78eca03a0db709cf520003896a12

extract		{}
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running the fetch target
}

=== tests/test/statefile-version2/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 96400 2012-08-08 21:17:12Z cal@macports.org $

PortSystem          1.0
name                statefile-version2
version             1
categories          test
maintainers         cal
description         Test port for current statefiles, version 2
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles

fetch               {}
extract             {}
configure           {}
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}
